#.Graph.Adjacent


_get
m
.Graph.Adjacent
(Vertex)s
_next
m
s

#.Graph.Edge


_property
m
b
.
_unknown
m
v
.
Weight
p
f

Destination
r
s

Dst
r
s

Source
r
s

Src
r
s

#.Graph.Edges


Exist
m
b
(Src)s(Dst)s
_get
m
.Graph.Edge
(Src)s(Dst)s
_next
m
String[]

Count
r
i

#.Graph.InEdges


_get
m
.Graph.InEdges
(Vertex)s
_next
m
String[]

#.Graph.OutEdges


_get
m
.Graph.OutEdges
(Vertex)s
_next
m
String[]

#.Graph.Vertex


_property
m
b
.
_unknown
m
v
.
InDegree
r
i

OutDegree
r
i

#.Graph.Vertices


_get
m
.Graph.Vertex
(Vertex)s
_next
m
s

Count
r
i

#.List.Backwards


_next
m
v

#.List.Item


Append
m

(Value)v
Prepend
m

(Value)v
Value
p
v

Index
r
i

IsFirst
r
b

IsLast
r
b

IsValid
r
b

#.Matrix.Edge
.Graph.Edge

Weight
p
f

Destination
r
s

Dst
r
s

Source
r
s

Src
r
s

#.Matrix.Edges
.Graph.Edges

_get
m
.Matrix.Edge
(Src)s(Dst)s
#.Matrix.Vertex
.Graph.Vertex

Name
p
s

Value
p
v

InDegree
r
i

OutDegree
r
i

#.Matrix.Vertices
.Graph.Vertices

_get
m
.Matrix.Vertex
(Vertex)s
#AvlTree

C
Clear
m


Exist
m
b
(Key)s
_free
m


_get
m
v
(Key)s
_new
m


_next
m
v

_put
m

(Value)v(Key)s
Balance
r
i

Count
r
i

Height
r
i

Key
r
s

#Circular

C
Clear
m


Peek
m
v

Read
m
v

Reset
m


Resize
m

(Size)i
Write
m

(Value)v
_free
m


_new
m

(Size)i[(Overwrite)b]
Overwrite
p
b

Reader
p
i

Size
p
i

Writer
p
i

IsEmpty
r
b

IsFull
r
b

#Deque

C
Clear
m


Copy
m
Deque

PeekBack
m
v

PeekFront
m
v

PopBack
m
v

PopFront
m
v

PushBack
m

(Value)v
PushFront
m

(Value)v
_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Graph


_call
M
Graph
[(Directed)b(Weighted)b]
_exit
M


_init
M


Add
m
.Graph.Vertex
(Name)s
Connect
m
.Graph.Edge
(Src)s(Dst)s
Disconnect
m

(Src)s(Dst)s
Remove
m

(Vertex)s
_countEdges
m
i

_countVertices
m
i

_free
m


_getEdge
m
.Graph.Edge
(Src)s(Dst)s
_getVertex
m
.Graph.Vertex
(Vertex)s
_new
m


_nextEdge
m
String[]

_nextInEdge
m
String[]

_nextOutEdge
m
String[]

_nextVertex
m
s

Tag
p
v

_Edge
p
String[]

_Vertex
p
s

Adjacent
r
.Graph.Adjacent

Edges
r
.Graph.Edges

InEdges
r
.Graph.InEdges

OutEdges
r
.Graph.OutEdges

Vertices
r
.Graph.Vertices

#GraphMatrix
Graph
C
Add
m
.Matrix.Vertex
(Name)s
Connect
m
.Matrix.Edge
(Src)s(Dst)s[(Weight)f]
Disconnect
m

(Src)s(Dst)s
Remove
m

(Vertex)s
_countEdges
m
i

_countVertices
m
i

_free
m


_getEdge
m
.Matrix.Edge
(Src)s(Dst)s
_getVertex
m
.Matrix.Vertex
(Vertex)s
_new
m

[(Directed)b(Weighted)b]
_nextAdjacent
m
s

_nextEdge
m
String[]

_nextInEdge
m
String[]

_nextOutEdge
m
String[]

_nextVertex
m
s

Edges
r
.Matrix.Edges

Matrix
r
Matrix

Vertices
r
.Matrix.Vertices

#Heap

C
Insert
m

(Data)v
Remove
m
v

Update
m

(Old)v(New)v
_free
m


_new
m

(Mode)i[(Array)Variant[];]
First
p
v

Count
r
i

IsEmpty
r
b

#List

C
Append
m

(Value)v
Clear
m


FindFirst
m

(Value)v
FindLast
m

(Value)v
FindNext
m

(Value)v
FindPrev
m

(Value)v
FindPrevious
m

(Value)v
MoveFirst
m


MoveLast
m


MoveNext
m


MovePrev
m


MovePrevious
m


MoveTo
m

(Index)i
Prepend
m

(Value)v
Take
m
v
[(Index)i]
_free
m


_get
m
v
(Index)i
_new
m


_next
m
v

_put
m

(Value)v(Index)i
AutoNormalize
p
b

Current
p
.List.Item

Index
p
i

Value
p
v

Backwards
r
.List.Backwards

Count
r
i

#PrioQueue

C
Clear
m


Deq
m
v

Dequeue
m
v

Enq
m

(Value)v(Prio)i
Enqueue
m

(Value)v(Prio)i
Peek
m
v

_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Queue

C
Clear
m


Copy
m
Queue

Deq
m
v

Dequeue
m
v

Enq
m

(Value)v
Enqueue
m

(Value)v
Peek
m
v

_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Stack

C
Clear
m


Copy
m
Stack

Peek
m
v

Pop
m
v

Push
m

(Value)v
_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Trie

C
Add
m

(Value)v(Key)s
Clear
m


Complete
m
s
(Prefix)s
Exist
m
b
(Key)s
GetPrefix
m
TriePrefix
(Prefix)s
Remove
m

(Key)s
_free
m


_get
m
v
(Key)s
_new
m


_next
m
v

_put
m

(Value)v(Key)s
Count
r
i

Key
r
s

#TriePrefix


Add
m

(RelKey)s
Exist
m
b
(RelKey)s
Remove
m

[(Length)i]
_free
m


_get
m
v
(RelKey)s
_next
m
v

Key
r
s

Prefix
r
s

#PrioSet

C
First
r
v

Count
r
i

IsEmpty
r
b

_new
m


Insert
m

(Data)v(Prio)i
Remove
m
v

Update
m

(Old)v(New)v(Prio)i
